AMQPChannel::setPrefetchCount
AMQPChannel::startTransaction
AMQPChannel
PHP Manual

# AMQPChannel::setPrefetchSize

Set the window size to prefetch from the broker

### Description

public void AMQPChannel::setPrefetchSize ( int `$size` )

Set the prefetch window size, in octets, during a call to AMQPQueue::consume or AMQPQueue::get. Any call to this method will automatically set the prefetch message count to 0, meaning that the prefetch message count setting will be ignored.

If the call to either AMQPQueue::consume or AMQPQueue::get is done with the `AMQP_AUTOACK` flag set, this setting will be ignored.

### Parameters

`size`

  The window size, in octets, to prefetch.

### Errors/Exceptions

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.